/* GLOBAL STYLES */
html{
    height: 100%;
}
body{
    background-color: #f0e0fe;
    border-style: dotted;
    border-width: 15px;
    border-color:rgb(181, 145, 217);
    border-radius: 20px;
    min-height: 100vh;
    border-bottom: #f0e0fe;
}

/* HEADER STYLES */
header {
    display: flex;
    justify-content: center;
    padding: 20px;
    background-color: rgb(221, 192, 249);
}
nav{
    display: flex;
    gap: 40px;
    text-align: center;
}
.nav-item{
    font-size: 20px;
    color: rgb(93, 57, 128);
    font-weight: bold;
    text-decoration: none;
    font-family: "Chewy", system-ui;
    display: flex;
    
}
.nav-item:hover{
    transition: 0.3s;
    background-color: rgb(205, 164, 243);
    padding: 5px;
    border-radius: 20px;
}
.contact-me-button{
    font-size: 20px;
    color: rgb(93, 57, 128);
    font-weight: bold;
    text-decoration: none;
    font-family: "Chewy", system-ui;

}
.contact-me-button:hover{
    transition: 0.3s;
    background-color: rgb(205, 164, 243);
    padding: 5px;
    border-radius: 20px;
}

/* HOME PAGE STYLES */
.chewy-regular {
    font-family: "Chewy", system-ui;
    font-weight: 400;
    font-style: normal;
  }
.mail-to-link{
    text-align: right;
    padding-right: 20px;
    background-color: aquamarine;

  }
  
.img-name-container {
    display: flex;
    position: relative;
    align-items: flex-start;
    gap: 32px;

}

.main-img img{
    height: 500px;
    width: 700px;
    padding-top: 120px;
    padding-left: 50px;
    display: block;

}

.right-side{
    display: flex;
    flex-direction:column;
    justify-content: flex-start;

   
}
.home-name-overlay{
    line-height: 1;
    padding-top: 135px;
    font-size: 200px;
    font-family: "Chewy", system-ui;
    color: rgb(93, 57, 128);
    white-space: normal;
    max-width: 40ch;
    text-align: center;
}

.home-info-text {
    max-width: 55ch; 
    font-size: 24px;
    font-family: "Chewy", system-ui;
    line-height: 1.4;
    color: rgb(93,57,128);
    padding-left: 10px;
    padding-bottom: 50px;
    text-align: center;

}

/* PROJECTS PAGE STYLE */
.title-content{
    text-align: center;
    padding-top: 300px;
    font-family: "Chewy", system-ui;
    font-size: xx-large;
    color: rgb(93,57,128);
}
.scroll-arrow{
    position: fixed;
    bottom: 20px;
    left: 50%;
}

.scroll-arrow img{
   width: 50px;
   transition: transform 0.2s ease, box-shadow 0.2 ease;
}

.scroll-arrow img:hover{
    transform: scale(1.15);
}


/* PROJECT 3 STYLES (HOUSING) */

.name-overlay{
    line-height: 1;
    margin-bottom: 20px;
    padding-top: 230px;
    font-size: 60px;
    font-family: "Chewy", system-ui;
    color: rgb(93, 57, 128);
    white-space: normal;
    max-width: 40ch;
    text-align: center;
}

.info-text {
    max-width: 55ch; 
    font-size: 24px;
    line-height: 1.4;
    color: rgb(93,57,128);
    padding-left: 10px;
    text-align: center;

}

.project-link{
    display: inline-block;
    color:rgb(205, 164, 243);
    background-color: rgb(93,57,128);
    padding: 8px, 12px;
    text-decoration: none;
    border-radius: 20px;
}

.tools-used{
    margin-top: 120px;
    text-align: center;
    font-family: "Chewy", system-ui;
    color: rgb(93, 57, 128);
    font-size: x-large;
}
.summary-text{
    margin-top: 80px;
    text-align: center;
    color: rgb(93, 57, 128);
    font-size: 40px;
}

  
.first-page-img-container {
    display: flex;
    align-items: flex-start;
    gap: 32px;
    flex-direction: row-reverse;

}

.second-page-img img{
    height: 500px;
    width: 700px;
    padding-top: 120px;
    padding-left: 50px;
    display: flex;
    margin-right: 20px;

}

.left-side{
    display: flex;
    flex-direction:column;
    justify-content: flex-start;
    margin-top: 210px;


}

.left-info-text {
    max-width: 55ch; 
    font-size: 30px;
    line-height: 1.4;
    color: rgb(93,57,128);
    padding-left: 10px;
    text-align: center;
    margin-left: 30px;
}

#key-features-info {
   font-family: 'Times New Roman', Times, serif;
   padding-top: 180px;
   font-size: 30px;
   text-align: center;
   padding-right: 20px;
}

/* FIGMA PROJECT PAGE STYLES */
#wireframes-img img{
    height: 500px;
    width: 300px;
    padding-top: 120px;
    margin-right: 120px;
    display: flex;

}

/* PROJECT ROW PAGE STYLES */
.row-of-projects {
  display: flex;
  justify-content: space-between;
  padding: 40px;
}

.project {
  display: flex;
  flex-direction: column; 
  align-items: center;   
}

.row-of-projects img{
  height: 400px;
  width: 400px;
  margin-top: 70px;
}

.project-name {
  margin-top: 10px;
  font-size: 18px;
  text-align: center;
  max-width: 400px;
  font-size: 30px;
  font-family: "Chewy", system-ui;
  color: rgb(93, 57, 128);
}
